<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [tableMenuCommand](./react.tablemenucommand.md)

## tableMenuCommand() function

Displays a table name along with a dropdown menu for selection of different tables.

<b>Signature:</b>

```typescript
export declare function tableMenuCommand(tables: TableContainer[], selectedKey?: string | undefined, onChange?: (id: string) => void, props?: Partial<ICommandBarItemProps>): ICommandBarItemProps;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  tables | TableContainer\[\] |  |
|  selectedKey | string \| undefined | <i>(Optional)</i> |
|  onChange | (id: string) =&gt; void | <i>(Optional)</i> |
|  props | Partial&lt;ICommandBarItemProps&gt; | <i>(Optional)</i> |

<b>Returns:</b>

ICommandBarItemProps


